#
# spec file for package memcached (Version 1.4.13)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           memcached
Version:        1.4.13
Release:        1.1
%define pkg_name memcached
%define pkg_version 1.4.13
#
License:        BSD License and BSD-like
Group:          Productivity/Networking/Other
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libevent

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?suse_version} >= 1110
BuildRequires:	libevent-devel
%endif

%if 0%{?suse_version}
PreReq:         %insserv_prereq %fillup_prereq /usr/sbin/groupadd /usr/sbin/useradd
%endif
Conflicts:      memcached-unstable
%define home_dir /var/lib/%{pkg_name}
#
Url:            http://www.danga.com/memcached/
Source:         http://www.danga.com/memcached/dist/%{pkg_name}-%{pkg_version}.tar.bz2
Source1:        %{pkg_name}.init
Source2:        %{pkg_name}.sysconfig
Source3:        memcached-rpmlintrc
#
Summary:        A high-performance, distributed memory object caching system

%description
Memcached is a high-performance, distributed memory object caching
system, generic in nature, but intended for use in speeding up dynamic
web applications by alleviating database load.

Danga Interactive developed memcached to enhance the speed of
LiveJournal.com, a site which was already doing 20 million+ dynamic
page views per day for 1 million users with a bunch of webservers and a
bunch of database servers. memcached dropped the database load to
almost nothing, yielding faster page load times for users, better
resource utilization, and faster access to the databases on a memcache
miss.



Authors:
--------
    Brad Fitzpatrick <brad@danga.com>

%debug_package
%prep
%setup -n %{pkg_name}-%{pkg_version}

%build
export CFLAGS="%{optflags} -g"
%configure --bindir=%{_sbindir}
%{__make}


%install
%makeinstall
%{__install} -D  -m 0755 scripts/memcached-tool %{buildroot}%{_sbindir}/memcached-tool
%{__install} -Dd -m 0755 %{buildroot}%{home_dir}
%{__install} -D  -m 0755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/%{pkg_name}
%{__ln_s} -f ../..%{_sysconfdir}/init.d/%{pkg_name} %{buildroot}%{_sbindir}/rc%{pkg_name}
%{__install} -D  -m 0644 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.%{pkg_name}

%clean
%{__rm} -rf %{buildroot};

%pre
/usr/sbin/groupadd -r %{pkg_name} &>/dev/null || :
/usr/sbin/useradd -o -g %{pkg_name} -s /bin/false -r -c "user for %{pkg_name}" -d %{home_dir} %{pkg_name} &>/dev/null || :

%post
%fillup_and_insserv %{pkg_name}

%preun
%stop_on_removal %{pkg_name}

%postun
%restart_on_update %{pkg_name}
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README doc/*.txt
%{_sbindir}/%{pkg_name}
%{_sbindir}/memcached-tool
%{_sbindir}/rc%{pkg_name}
%{_mandir}/man1/%{pkg_name}.*
%{_sysconfdir}/init.d/%{pkg_name}
%dir %{_includedir}/memcached
%{_includedir}/memcached/protocol_binary.h
/var/adm/fillup-templates/sysconfig.%{pkg_name}
%dir %attr(755,root,root) %{home_dir}

%changelog
* Thu Mar 29 2012 cs@linux-administrator.com
- update to version 1.4.13
* Tue Nov 15 2011 cs@linux-administrator.com
- update to version 1.4.10
* Tue Feb  5 2008 cs@linux-administrator.com
- version changed to 1.2.4
* Sat Aug  4 2007 mrueckert@suse.de
- fixed a few rpmlint warnings
* Sat May 26 2007 mrueckert@suse.de
- Update to version 1.2.2:
  Memcached can be configured to support multithreading. Big code
  cleanup with performance improvements. Memcached now collects
  eviction and per-object-type statistics.
- synced with memcached-unstable
* Tue Dec  5 2006 mrueckert@suse.de
- Update to version 1.2.1:
  o mainly fixes a stability issue reported on the mailinglist
  o a few optimization fixes
- removed autoreconf -fi for now
- build debuginfo
* Wed Nov 15 2006 mrueckert@suse.de
- added Conflicts: memcached-unstable
* Sun Nov 12 2006 lmuelle@suse.de
- Fix typo in sysconfig file.
* Sun Sep 10 2006 mrueckert@suse.de
- Update to version 1.1.13:
  o test suite (make test)
  o better libevent detection
  o 64 bit support (passes test suite at least now)
  o off-by-one errors in expirations fixed
  o bug fixes
  o start of "vbuckets" project.  instead of clients hashing
    a key onto a memcached instance, they map onto one of
    16k or so virtual bucket numbers, each bucket of which
    is owned by an instance and w/ a particular generation number.
    no client or tracker exists yet, but low-level stuff is there.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Aug 18 2005 mrueckert@suse.de
- Initial package with version 1.1.12
